Bug 1923707 - xorg-x11-drv-openchrome: FTBFS in Fedora rawhide/f34
Summary: xorg-x11-drv-openchrome: FTBFS in Fedora rawhide/f34
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-openchrome
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Xavier Bachelot
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F34FTBFS
TreeView+ depends on / blocked
 
Reported: 2021-02-01 17:27 UTC by Fedora Release Engineering
Modified: 2021-03-31 00:15 UTC (History)
2 users (show)

Fixed In Version: xorg-x11-drv-openchrome-0.6.400-1.20210215git5dbad06.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-31 00:15:34 UTC
Type: ---


Attachments (Terms of Use)
build.log (32.00 KB, text/plain)
2021-02-01 17:27 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2021-02-01 17:27 UTC, Fedora Release Engineering
no flags Details
state.log (1.04 KB, text/plain)
2021-02-01 17:27 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2021-02-01 17:27:49 UTC
xorg-x11-drv-openchrome failed to build from source in Fedora rawhide/f34

https://koji.fedoraproject.org/koji/taskinfo?taskID=60913871


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild
Please fix xorg-x11-drv-openchrome at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
xorg-x11-drv-openchrome will be orphaned. Before branching of Fedora 35,
xorg-x11-drv-openchrome will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2021-02-01 17:27:52 UTC
Created attachment 1754051 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2021-02-01 17:27:53 UTC
Created attachment 1754052 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2021-02-01 17:27:54 UTC
Created attachment 1754053 [details]
state.log

Comment 4 Ben Cotton 2021-02-09 16:01:21 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.

Comment 5 Xavier Bachelot 2021-02-09 18:09:18 UTC
This is because DRI 1 has been disabled in F34 Xorg server.
Let's see if upstream has something to help with this.

Comment 6 Fedora Update System 2021-03-17 18:03:59 UTC
FEDORA-2021-20703b1ef4 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-20703b1ef4

Comment 7 Fedora Update System 2021-03-18 21:46:47 UTC
FEDORA-2021-20703b1ef4 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-20703b1ef4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-20703b1ef4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-03-31 00:15:34 UTC
FEDORA-2021-20703b1ef4 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.